@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600&display=swap');

*{
    padding: 0;
    margin: 0;
    font-family: 'Poppins',sans-serif;
    box-sizing: border-box;
}

body{
    width: 100%;
    height: 100vh;
    overflow: hidden;
    background-color: black; /* background color */

}

nav{
    width:100%;
    height:10vh;
    position: sticky;
}

.nav-container{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    
}

.nav-container .logo span{
    font-size: 2rem;
    font-weight: bold;
    color: rgb(159,18,18);


}

.hamburg,
.cancel{
    cursor: pointer;
    position: absolute;
    right: 15px;
    top: 10px;
    color: white;
    font-size: clamp(2.5rem,0.5rem + 5vw, 3rem);
    display: none;

}

.nav-container .links{
    display: flex;
}

.nav-container .links a{
    font-size: 1.2rem;
    color: white;
    margin: 0 20px;
    text-decoration: none;
    font-weight: 550;
    transition: 0.3s linear;

}

.nav-container .links a:hover{
    color: rgb(159,18,18);
    border-bottom: 2px solid rgb(159,18,18);
}

.dropdown{
    z-index: 10;
    position: absolute;
    top: 0;
    transform: translateY(-400px);
    width: 100%;
    height: auto;
    backdrop-filter: blur(5px) brightness(40%);
    box-shadow: 0 0 20px black;
    transition: 0.2s linear;
}

.dropdown a{
    display: flex;
    color: white;
    text-decoration: none;
    padding: 10px 0;
    justify-content: center;
    align-items: center;
    transition: 0.3s linear;
}

.dropdown a:hover{
    background-color: rgb(159,18,18);
}

section{
    width: 100%;
    height: 90vh;

}

.main-container{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center    ;

}

.main-container .image{
    width: 500px;
    height: 80vh;
    overflow: hidden;
}

.main-container .image img{ /* setting image*/
    width: 100%;
}

.main-container .image:hover{
   animation: animate 1.5s ease-in-out infinite;
}

@keyframes animate{
    0%{
        scale: 1;
    }
    50%{
        scale: 1.05;
    }
    100%{
        scale: 1;
    }
}

.main-container .content{
    color: white;
    width: 40%;
    min-height: 100px;

}

.content h1{
    font-size: clamp(1rem, 1rem + 5vw, 1.8rem);

}

.content h1 span{
    font-weight: 700;
    text-shadow: 0 0 10px rgb(159,18,18);
    color: rgb(159,18,18);
}

.typing-text{
    font-size: clamp(1rem, 1rem + 5vw, 2.5vw);
    font-weight: 700;
    position: relative;

}

.typing-text span::before{
    content:"";
    color: rgb(159,18,18);
    animation: words 20s infinite;

}

.typing-text span:after{
    content: "";
    background-color: black;
    position: absolute;
    width: calc(100%+8px);
    height: 100%;
    border-left: 3px solid black;
    right: -8;
    animation: cursor 0.5s infinite;
}

@keyframes cursor{
    to{
        border-left: 3px solid white;

    }

}

@keyframes words{
    0%,20%{
        content: "Student";

    }
    21%,40%{
        content: "Enthusiastic learner";
        
    }
    41%,60%{
        content: "Critical thinker";
        
    }
    61%,80%{
        content: "Developer";
        
    }
    81%,100%{
        content: "Designer";
        
    }
}

.content p{
    font-size: clamp(0.4rem,0.2rem + 9vw, 1rem);
    margin: 10px 0;
}

.social-links i{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 3rem;
    height: 3rem;
    background-color: transparent;
    border: 0.2rem solid rgb(159,18,18);
    border-radius: 50%;
    color: rgb(159,18,18);
    margin: 5px 15px 5px 0;
    font-size: 1.5rem;
    transition: 0.2s linear;
}

.social-links i:hover{
    scale: 1.3;
    filter: drop-shadow(0 0 10px rgb(159,18,18));
    background-color: rgb(159,18,18);
    color: white;

}

.content button{
    width: 50%;
    height: 6vh;
    margin: 30px 0;
    background-color: rgb(159,18,18);
    color: white;
    border: none;
    outline: none;
    font-size: 120%;
    font-weight: 700;
    border-radius: 5px;
    transition: 0.2 linear;

}

.content button:hover{
    scale: 1.1;
    color: rgb(159,18,18);
    border: 2px solid rgb(159,18,18);
    background-color: transparent;
    box-shadow: 0 0 40px rgb(159,18,18);

}

@media (max-width:884px){

    nav .logo{
        position: absolute;
        top: 16px;
        left: 15px;
        font-size: 1.5rem;

    }

    .main-container{
        display: flex;
        flex-direction: column;

    }

    .nav-container .links{
        display: none;
    }

    .hamburg,
    .cancel{
        display: block;

    }

    .main-container .content{
        width: 80%;
        margin-top: 40px;

    }

    .social-links{
        width: 2.5rem;
        height: 2.5rem;
        font-size: 1.5rem;
    }

    .typing-text{
        font-size: 2rem;
    }

    .main-container .image{
        z-index: -1;
        width: 50%;
        height: 60%;
    }

    .main-container .content{
        width: 80%;
    }

    .main-container button{
        margin-top: 15px;

    }

}